From fd3a6ce674c86af42087c685c514dbd1b9909f81 Mon Sep 17 00:00:00 2001
From: Yuan Fu <casouri@gmail.com>
Date: Fri, 12 Mar 2021 12:18:22 -0500
Subject: [PATCH] Fix simple-tests

* test/lisp/simple-tests.el (simple-tests--undo-in-region,
simple-tests--undo-equiv-table): Re-enable in batch mode. Enable
'transient-mark-mode' in temp buffer.
---
 test/lisp/simple-tests.el | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/test/lisp/simple-tests.el b/test/lisp/simple-tests.el
index 8fa8295765..601eca6cd4 100644
--- a/test/lisp/simple-tests.el
+++ b/test/lisp/simple-tests.el
@@ -469,8 +469,11 @@ simple-tests--undo
 
 (ert-deftest simple-tests--undo-in-region ()
   ;; Test undo/redo in region.
-  (skip-unless (not noninteractive))
   (with-temp-buffer
+    ;; Enable `transient-mark-mode' so `region-active-p' works as
+    ;; expected. `region-active-p' is used to determine whether to
+    ;; perform regional undo in `undo'.
+    (transient-mark-mode)
     (buffer-enable-undo)
     (dolist (x '("a" "b" "c" "d" "e"))
       (insert x)
@@ -506,9 +509,9 @@ simple-tests--sans-leading-nil
   lst)
 
 (ert-deftest simple-tests--undo-equiv-table ()
-  (skip-unless (not noninteractive))
   (with-temp-buffer
     (buffer-enable-undo)
+    (transient-mark-mode)
     (let ((ul-hash-table (make-hash-table :test #'equal)))
       (dolist (x '("a" "b" "c"))
         (insert x)
-- 
2.24.3 (Apple Git-128)

